char mimetypes[][50]={
	"application/vnd.oasis.opendocument.text",
	"application/vnd.oasis.opendocument.spreadsheet",
	"application/vnd.oasis.opendocument.presentation",
	"application/vnd.oasis.opendocument.graphics",
	"application/vnd.oasis.opendocument.formula"};

#define ODF_TEXT	0
#define ODF_CALC	1
#define ODF_PRES	2
#define ODF_DRAW	3
#define ODF_MATH	4

#define CF_LEFT			1
#define CF_CENTER		2
#define CF_RIGHT		3

#define TS_ITALIC		4
#define TS_BOLD			8
#define TS_UNDERLINE	16

#define BM_NONE			0
#define BM_BOTTOM		1
#define BM_TOP			2
#define BM_LEFT			4
#define BM_RIGHT		8
#define BM_ALL			15

#define VA_TOP			1
#define VA_MIDDLE		2
#define VA_BOTTOM		3

#define HO_LEFT			0
#define HO_CENTER		1
#define HO_RIGHT		2
#define HO_JUSTIFY		3

char h_alig_names[][10]={
	"start",
	"center",
	"end",
	"justify"};

#define BS_NONE 	0
#define BS_SOLID 	1
#define BS_DOTTED	2
#define BS_DASHED	3
#define BS_DOUBLE	4

char borderstylenam[][12]={
	"none",
	"solid",
	"dotted",
	"fine-dashed",
	"double-thin"};

typedef struct ODF_FILE{
	int type;
	char name[PATH_MAX];
	char root[PATH_MAX];
	char old_cwd[PATH_MAX];
	FILE *content, *meta, *styles;
} ODF_FILE;

typedef struct{
	int style;
	double width;
	int color;
} border;

struct{
	border left,right,top,bottom;
	int vert_align,horz_align;
	int h_margin;
	int bg_color,text_color;
	int text_size;
	int text_styles;
	int data_style;
	char font_name[200];
} cellStyle;
